:root {
  --bg-fake-white: rgba(255, 255, 255, 0.999);
  color-scheme: light;

}

body, html {
  background-color: var(--bg-fake-white);
  color: #000;
}

.banner-vigiagropec {
  background: url('/conheca_nos/assets/img/banners/software-gestao-agricola.webp') center center / cover no-repeat;
}

.banner-vigiagropec::before {
  background: linear-gradient(1deg, rgba(0, 0, 0, 1) 0%, rgba(34, 66, 48, 0.66) 43%, rgba(255, 255, 255, 0) 100%);
  z-index: 0;
}

.hero-vigiagropec {
  height: 70vh;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  background: white;
  padding: 20px 20px;
  margin: 10px 0;
  z-index: 1;
  overflow: hidden;
}

.hero-container-vigiagropec {
  max-width: 1200px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 65px;
}

.vigiagropec-hero-text {
  flex: 1;
}

.vigiagropec-hero-text h1 {
  font-size: 42px;
  font-weight: 700;
  line-height: 1.3;
  margin-bottom: 20px;
  color: #000;
}

.green {
  font-size: 3rem;
  font-weight: bold;
  background: linear-gradient(90deg,
      #42e3a5 0%,
      #48d081 20%,
      #39cf96 40%,
      #39cf98 60%,
      #48d081 80%,
      #39cf86 100%);
  background-size: 200% auto;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;
  animation: shimmerMove 5s linear infinite;
}

@keyframes shimmerMove {
  0% {
    background-position: -100% 0;
  }

  100% {
    background-position: 100% 0;
  }
}

.vigiagropec-hero-text p {
  font-size: 16px;
  color: #333;
  margin-bottom: 30px;
  line-height: 1.6;
}

.hero-image-vigiagropec {
  grid-column: span 7;
  text-align: center;
}

.hero-image-vigiagropec img {
  width: 100%;
  max-width: 640px;
  height: auto;
}

/*conheça o vigiagropec*/

.vigiagropec-overview {
  background: linear-gradient(87deg, rgba(3, 39, 37, 1) 0%, rgba(10, 79, 73, 1) 44%, rgba(16, 118, 110, 1) 100%);
  padding: 80px 20px;
  color: white !important;
}

.vigiagropec-overview-container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  gap: 90px;
  align-items: center;
  flex-wrap: wrap;
}

.vigiagropec-overview-image {
  flex: 1;
  display: flex;
  justify-content: center;
  position: relative;
  overflow: visible;
}

.vigiagropec-overview-image img {
  width: 130%;
  max-width: none;
  transform: translateX(5%);
}

.vigiagropec-overview-text {
  flex: 1;
  min-width: 300px;
  transform: translateX(10%);
}

.vigiagropec-overview-text h2 {
  font-size: 32px;
  margin-bottom: 20px;
  font-weight: 600;
  line-height: 1.3;
}

.vigiagropec-highlight {
  color: #66f199;
}

.vigiagropec-overview-text p {
  font-size: 16px;
  line-height: 1.6;
  margin-bottom: 24px;
  margin-right: 30px;
}

.vigiagropec-overview-features {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.vigiagropec-overview-features li {
  color: #66f199;
  display: flex;
  align-items: flex-start;
  gap: 10px;
  font-size: 15px;
  line-height: 1.5;
}

.vigiagropec-overview-features li img {
  width: 66px;
  height: 65px;
  flex-shrink: 0;
}

@media (max-width: 768px) {
  .vigiagropec-overview-image img {
    width: 100%;
    transform: none;
  }

  .vigiagropec-overview-container {
    flex-direction: column;
    gap: 40px;
  }

  .vigiagropec-overview-image,
  .vigiagropec-overview-text {
    text-align: center;
  }
}

/*beneficios vigiagropec*/

.vigiagropec-benefits {
  padding: 80px 20px;
  background: white;
  color: #1a1a1a;
}

.vigiagropec-benefits-container {
  max-width: 1200px;
  margin: 0 auto;
  text-align: center;
}

.vigiagropec-benefits h2 {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 12px;
  text-align: left;
}

.vigiagropec-benefits p {
  font-size: 20px;
  font-weight: 500;
  color: #333;
  margin-bottom: 30px;
  text-align: left;
}

.vigiagropec-benefits-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px 0;
}

@media (max-width: 1024px) {
  .vigiagropec-cads {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 640px) {
  .vigiagropec-cads {
    grid-template-columns: 1fr;
  }
}

.benefit-card {
  background: white;
  padding: 10px 35px;
  border-radius: 14px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.05);
  text-align: left;
  transition: all 0.3s ease-in-out;
  cursor: default;
}

.benefit-card:hover {
  transform: translateY(-8px);
  box-shadow: 0 16px 20px rgba(0, 0, 0, 0.12);
}

.benefit-card img {
  width: 54px;
  height: 54px;
  margin-bottom: 16px;
  transition: transform 0.3s ease;
}

.benefit-card:hover img {
  transform: scale(1.1);
}

.benefit-card h3 {
  font-size: 18px;
  color: #00705c;
  margin-bottom: 10px;
}

.benefit-card p {
  font-size: 16px;
  line-height: 1.6;
  color: #444;
}

/*video*/

.vigiagro-video-section {
  background: #11403a;
  padding: 40px 20px;
  text-align: center;
}

.vigiagro-video-content h2 {
  font-size: 32px;
  font-weight: 700;
  color: #000;
  margin-bottom: 35px;
}

.vigiagro-video-wrapper {
  position: relative;
  display: inline-block;
  border-radius: 24px;
  overflow: hidden;
  max-width: 900px;
  width: 100%;
}

.vigiagro-video-thumbnail {
  width: 100%;
  display: block;
  border-radius: 24px;
}

.vigiagro-play-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 60px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.vigiagro-play-button img {
  width: 120px;
  height: 120px;
  transition: transform 0.3s ease;
}

.vigiagro-play-button:hover img {
  transform: scale(1.1);
}

.vigiagro-video-iframe-wrapper {
  display: none;
  width: 100%;
  height: 0;
  padding-bottom: 56.25%;
  /* 16:9 ratio */
  position: relative;
}

.vigiagro-video-iframe-wrapper.active {
  display: block;

}

.vigiagro-embed-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 24px;
  overflow: hidden;
  background-image: url('/assets/img/thumb-video/capa-video.png');
  background-size: cover;
  background-position: center;
  transition: opacity 0.10s ease;
}

.vigiagro-embed-container.video-loaded {
  background-image: none;
}

.vigiagro-embed-container iframe {
  width: 100%;
  height: 100%;
  border: none;
  opacity: 0;
  transition: opacity 0.8s ease;
}

.vigiagro-embed-container iframe.video-visible {
  opacity: 1;
}

.vigiagropec-area-atuacao {
  background-color: #11403a;
  padding: 95px 20px 90px;
  color: white !important;
}

.container-vigiagropec {
  max-width: 1450px;
  margin: 0 auto;
  position: relative;
}

.container-vigiagropec h2 {
  text-align: center;
  font-size: 1.9rem;
  color: #76f86a !important;
  margin-bottom: 60px;
}

.container-vigiagropec p {
  max-width: 960px;
  font-size: 20px;
  font-weight: 500;
  margin-bottom: 60px;
  line-height: 1.3;
}

.cards-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
  gap: 10px;
  position: relative;
}

.card {
  background-color: #0b3630 !important;
  border: 4px solid #7efca9 !important;
  border-radius: 30px;
  padding: 50px 20px 20px;
  position: relative;
  max-width: 350px;
  min-height: 220px;
}

.card-title {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -50%);
  background: linear-gradient(to right, #7efca9, #6bdc9e);
  padding: 20px 15px;
  border-radius: 13px;
  font-size: 20px;
  font-weight: bold;
  color: #004030;
  white-space: nowrap;
}

.card ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.card li {
  font-size: 14px;
  font-weight: 600;
}

.icon-check {
  width: 16px;
  height: 16px;
  margin-right: 6px;
  vertical-align: middle;
}

.mascot {
  position: absolute;
  bottom: -10px;
  left: -26px;
  width: 130px;
}

.linha-conexao {
  position: absolute;
  width: 63%;
  margin-top: 24px;
  margin-left: 290px;
  display: block;
}

@media (max-width: 986px) {
  .linha-conexao {
    display: none;
  }
}

@media (max-width: 560px) {
  .cards-container {
    gap: 60px;
  }
}


/*multi estado-multi-empresa*/

.vigiagropec-db-wrapper {
  padding: 60px 20px;
  background: white;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.vigiagropec-db-title {
  text-align: center;
  max-width: 900px;
  margin: 30px auto 5px auto;
}

.vigiagropec-db-title h2 {
  font-size: 1.9rem;
  font-weight: bold;
  margin-bottom: 10px;
}

.vigiagropec-db-title span {
  color: #39cf96;
  font-weight: bold;
}

.vigiagropec-db-title p {
  font-size: 16px;
  color: #666;
  font-weight: 600;
}

.vigiagropec-db-container {
  position: relative;
  width: 100%;
  max-width: 1264px;
  margin: 0 auto;
}

.vigiagropec-db-bg {
  width: 100%;
  height: auto;
  display: block;
  margin-bottom: 50px;
}

.vigiagropec-postgre-bg {
  max-width: 280px;
}

.vigiagropec-db-text {
  position: absolute;
  z-index: 2;
  width: 320px;
}

.vigiagropec-db-text h3 {
  font-size: 24px;
  margin-bottom: 5px;
  font-weight: 900;
  color: #00705c;
}

.vigiagropec-db-text p {
  font-size: 14px;
  line-height: 1.4;
  color: #1a1a1a;
  font-weight: 600;

}

/* Coordenadas baseadas no viewBox do SVG */

.vigiagropec-db-web {
  top: -110px;
  left: 10px;
}

.vigiagropec-db-central {
  top: -160px;
  left: 450px;
  text-align: center;
}

.vigiagropec-db-mobile {
  top: 250px;
  left: 10px;
}

.vigiagropec-db-estados {
  top: -95px;
  right: 60px;
}


/*principais Recursos*/

.features-section {
  background: #fefefe !important;
  padding: 40px 20px;
  color: #1b1b1b;
}

.features-section-container {
  padding: 60px 20px;
  max-width: 1200px;
  margin: auto;
}

.features-header {
  text-align: center;
  margin-bottom: 90px;
}

.tag {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  font-size: 1rem;
  background: #E8F0EA !important;
  padding: 6px 12px;
  border-radius: 17px;
  font-weight: bold;
  margin-bottom: 15px;
}

.tag-icon {
  width: 16px;
  height: 16px;
}

.section-title {
  margin-top: 16px;
  font-size: 2.2rem;
  font-weight: 700;
}

.features-grid {
  display: flex;
  flex-direction: column;
  gap: 60px;
}

.feature-block {
  display: flex;
  gap: 40px;
  align-items: stretch;
}

.feature-block.reverse {
  flex-direction: row-reverse;
}

.feature-image {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  max-width: 570px;
  min-height: 250px;
  border-radius: 12px;
}

.geo {
  background: #66f192;
  background: linear-gradient(168deg, rgba(102, 241, 146, 1) 22%, rgba(45, 149, 87, 1) 66%, rgba(13, 99, 92, 1) 90%);
}

.sinc {
  background: #15736a;
  background: linear-gradient(168deg, rgba(21, 115, 106, 1) 22%, rgba(45, 149, 87, 1) 64%, rgba(13, 99, 92, 1) 90%);	
}

.offline {
  background: #298f55;
  background: linear-gradient(168deg, rgba(41, 143, 85, 1) 29%, rgba(48, 201, 181, 1) 63%, rgba(50, 178, 114, 1) 86%);
}
  

.feature-img {
  max-width: 100%;
  border-radius: 12px;
  object-fit: contain;
  display: none;
  opacity: 0;
  transition: opacity 0.4s ease;
}

.feature-img.active {
  display: block;
  opacity: 1;
}

.feature-content {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 220px;
}

.feature-content h3 {
  font-size: 2rem;
  margin-bottom: 12px;
  flex-shrink: 0;
}

.feature-content .description {
  font-size: 0.95rem;
  margin-bottom: 20px;
  padding-bottom: 20px;
  border-bottom: 2px solid #ececec !important;
  min-height: 48px;
}

.feature-options {
  display: flex;
  flex-direction: column;
  gap: 12px;
  flex-grow: 1;
}

.option {
  display: flex;
  justify-content: space-between;
  gap: 12px;
  cursor: pointer;
  transition: all 0.4s ease;
  padding-bottom: 10px;
}

.feature-block.reverse .option {
  flex-direction: row-reverse;
}


.feature-block.middle .option {
  flex-direction: row-reverse;
}

.feature-block.middle .option .side-line {
  order: 1;
  /* Linha vai para a esquerda só neste bloco */
}

.option-text strong {
  font-size: 1.4rem;
  font-weight: 600;
}

.option-text strong:hover {
  color: #3dae92;
}

.feature-block.is-current .option.active .option-text strong {
  color: #3dae92;
  font-size: 1.8rem;
  
}

.option.active .option-text strong:hover {
  color: #3dae92;
}

.option-text {
  flex: 1;
}

.option-text p {
  font-size: 1rem;
  margin-top: 6px;
  display: none;
}

.option.active .option-text p {
  display: block;
}

.side-line {
  width: 4px;
  background: #3dae92;
  position: relative;
  transition: background 0.4s;
}

.option .side-line::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  height: 0;
  width: 100%;
  background: #66f199;
}

.option.active .side-line.running::after {
  animation: fill-line var(--duration, 5s) linear forwards;
}


@keyframes fill-line {
  from {
    height: 0;
  }

  to {
    height: 100%;
  }
}

.feature-block.reverse .side-line {
  order: -1;
}

@media (max-width: 768px) {

  .feature-block,
  .feature-block.reverse {
    flex-direction: column;
  }

  .feature-block.reverse .option {
    flex-direction: row;
  }
}


/*features-defesa*/

/* Fundo da seção com duas cores */
.features-defesa-section {
  background: linear-gradient(to bottom, #fefefe 50%, #dbfff2 50%) !important;
  padding: 80px 20px 60px;
}

.features-defesa-container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
}

.features-defesa-header {
  background: linear-gradient(168deg, rgba(45, 125, 149, 1) 54%, rgba(50, 178, 114, 1) 90%);
  border-top-left-radius: 24px;
  border-top-right-radius: 24px;
  padding: 40px 24px;
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
  align-items: center;
  position: relative;
  z-index: 2;
}


.feature-image {
  flex: 1 1 300px;
  position: relative;
}

.feature-image img {
  width: 100%;
  border-radius: 16px;
  object-fit: cover;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.06);
}

.features-defesa-text-box {
  flex: 1 1 400px;
  background-color: white !important;
  padding: 24px;
  border-top-left-radius: 20px;
  border-bottom-right-radius: 20px;
  margin-top: -60px;
  position: relative;
  z-index: 3;
  box-shadow: 0 6px 24px rgba(0, 0, 0, 0.05);
}


.features-defesa-text-box h2 {
  font-size: 2.0rem;
  margin-bottom: 12px;
}


/* Subcontainer com cards */
.features-defesa-subcontainer {
  max-width: 1200px;
  margin: 60px auto 0;
  background-color: white !important;
  border-radius: 24px;
  padding: 48px 32px;
  box-shadow: 0 6px 24px rgba(0, 0, 0, 0.05);
}

.features-text-group {
  text-align: left;
  margin-bottom: 40px;
  padding-left: 8px;
}

.features-text-group h3 {
  font-size: 28px;
  color: #1b1b1b;
  margin-bottom: 12px;
}

.features-text-group p {
  font-size: 16px;
  color: #333;
  line-height: 1.6;
}

.defesa-animal-cards {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 40px;
  justify-content: space-between;
}

.defesa-animal-card {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  align-items: flex-end;
  flex: 1 1 calc(50% - 20px);
  max-width: calc(50% - 20px);
}


.defesa-animal-card-text {
  max-width: 450px;
  text-align: left;
  align-self: flex-start;
  margin-bottom: 16px;
  padding-left: 25px;
}

.defesa-animal-card-text h4 {
  font-size: 20px;
  color: #1b1b1b;
  font-weight: 700;
  margin-bottom: 8px;
}

.defesa-animal-card-text p {
  font-size: 15px;
  color: #333;
  line-height: 1.5;
}

.img-defesa-animal-card {
  background-color: #d0efdc !important;
  border-radius: 20px;
  padding: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.img-defesa-animal-card.dark {
  background-color: #006f42;
}

.img-defesa-animal-card img {
  width: 100%;
  max-width: 480px;
  border-radius: 12px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.06);
}


/* Responsivo */
@media (max-width: 768px) {
  .features-defesa-header {
    flex-direction: column;
    padding: 32px 16px;
  }

  .defesa-animal-card,
  .features-text-group,
  .defesa-animal-card-text {
    text-align: left;
    align-items: flex-start;
    padding-left: 0;
  }

  .img-defesa-animal-card {
    padding: 16px;
  }
}

/*Banner Playstore*/

.app-banner-vigiagropec {
  background-color: #02c06d;
  padding: 1rem 0;
  color: #fefefe !important;
}

.app-banner-vigiagropec .container-vigia {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 1.2rem;
}

.app-banner-content-vigiagropec {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 2rem;
}

.app-text-vigiagropec {
  flex: 1 1 40%;
}

.app-text-vigiagropec h2 {
  font-size: 3rem;
  font-weight: bold;
  margin-bottom: 3rem;
  line-height: 3.5rem;
}

.app-text-vigiagropec p {
  font-size: 1rem;
  font-weight: 500;
  line-height: 1.6;
  margin-bottom: 1.5rem;
  color: #f1f1f1 !important;
}

body {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
}

.force-light-mode {
  background-color: white !important;
  color: black !important;
}

.force-light-mode * {
  background-color: white !important;
  color: black !important;
}

@media (prefers-color-scheme: dark) {
  :root, .hero-vigiagropec, .vigiagropec-benefits, .vigiagropec-db-wrapper, footer {
    color-scheme: only light !important;
    background-color: white !important;

    color: black !important;
  }
}

/* ======== RESPONSIVIDADE COMPLETA ======== */

@media (max-width: 1448px) {
  .cards-container {
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
  }

  .linha-conexao {
    display: none;
  }

  .benefit-card {
    width: 100%;
    margin: 0 auto;
  }
}

@media (max-width: 1280px) {
  .hero-image-vigiagropec img {
    width: 85%;
  }

  .vigiagropec-overview-text h2 {
    width: 400px;
  }

  .vigiagropec-overview-text li{
    width: 400px;
  }
}

@media (max-width: 1080px) {
  .cards-container {
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
  }

  .linha-conexao {
    display: none;
  }
}
@media (max-width: 1024px) {
  .hero-vigiagropec {
    height: auto;
    padding: 40px 20px;
  }

  .hero-container-vigiagropec {
    flex-direction: column;
    align-items: center;
    gap: 40px;
  }

  .vigiagropec-hero-text h1 {
    font-size: 32px;
    text-align: center;
  }

  .vigiagropec-hero-text p {
    font-size: 14px;
    text-align: center;
  }

  .hero-image-vigiagropec img {
    max-width: 100%;
  }

  .vigiagropec-benefits-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .benefit-card {
    padding: 20px 25px;
  }

  .vigiagropec-overview-text {
    transform: none;
    min-width: auto;
    text-align: center;
    margin: 0 auto;
  }

  .vigiagropec-overview-image img {
    transform: none;
    width: 100%;
  }
}

@media (max-width: 768px) {
  .hero-vigiagropec {
    height: auto;
    padding: 30px 15px;
  }

  .hero-container-vigiagropec {
    flex-direction: column;
    gap: 25px;
  }

  .vigiagropec-hero-text h1 {
    font-size: 28px;
  }

  .vigiagropec-hero-text p {
    font-size: 14px;
  }

  .hero-image-vigiagropec img {
    max-width: 90%;
  }

  .vigiagropec-benefits-grid {
    grid-template-columns: 1fr;
  }

  .benefit-card {
    width: 100%;
    margin: 0 auto;
  }

  .vigiagropec-overview-container {
    flex-direction: column;
    gap: 30px;
  }

  .vigiagropec-overview-text,
  .vigiagropec-overview-image {
    text-align: center;
    transform: none;
  }

  .vigiagropec-overview-image img {
    width: 100%;
  }

  .cards-container {
    grid-template-columns: 1fr;
    gap: 40px;
  }

  .card {
    max-width: 100%;
    min-height: auto;
    padding: 40px 20px 30px;
  }

  .card-title {
    font-size: 18px;
    padding: 15px 25px;
  }

  .mascot {
    display: none;
  }

  .linha-conexao {
    display: none;
  }

  .vigiagropec-db-text {
    position: static;
    width: 100%;
    margin-bottom: 20px;
    text-align: center;
  }

  .vigiagropec-db-container {
    padding: 0 15px;
  }

  .vigiagropec-db-bg {
    max-width: 100%;
    height: auto;
  }
}

@media (max-width: 480px) {
  .vigiagropec-hero-text h1 {
    font-size: 24px;
    line-height: 1.2;
  }

  .vigiagropec-hero-text p {
    font-size: 13px;
  }

  .benefit-card h3 {
    font-size: 16px;
  }

  .benefit-card p {
    font-size: 14px;
  }

  .vigiagropec-benefits h2 {
    font-size: 24px;
  }

  .vigiagropec-benefits p {
    font-size: 16px;
  }

  .card {
    padding: 30px 15px 20px;
  }

  .card-title {
    font-size: 16px;
    padding: 12px 20px;
  }

  .container-vigiagropec p {
    font-size: 18px;
  }
}

body, html {
  overflow-x: hidden;
}

.hero-vigiagropec, .vigiagropec-overview, .vigiagropec-benefits, .vigiagro-video-section, .vigiagropec-area-atuacao, .vigiagropec-db-wrapper {
  padding-left: 15px;
  padding-right: 15px;
}


